package io.gmss.fiscad.interfaces.rfu.parametre;

import io.gmss.fiscad.entities.rfu.parametre.BaremRfuBati;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface BaremRfuService {

    BaremRfuBati createBaremRfu(BaremRfuBati baremRfuBati) throws BadRequestException;

    BaremRfuBati updateBaremRfu(Long id, BaremRfuBati baremRfuBati) throws NotFoundException;

    void deleteBaremRfu(Long id) throws NotFoundException;

    Page<BaremRfuBati> getBaremRfuList(Pageable pageable);

    List<BaremRfuBati> getBaremRfuList();

    List<BaremRfuBati> getBaremRfuByType(Long IdCategorieBatiment);

    Optional<BaremRfuBati> getBaremRfuById(Long id);
}

